Issue 118723

Summary: ICU regexp replace: reference of group like $1 in replace text, is always empty
Product: Writer Reporter: hanya <hanya.runo>
Component: codeAssignee: writerneedsconfirm <swneedsconfirm>
Status: CLOSED FIXED QA Contact:
Severity: Normal    
Priority: P4 CC: hdu, issues, oliver.brinzing, rgb.mldc
Version: 3.4.0 Beta (OOo)   
Target Milestone: ---   
Hardware: PC   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description hanya 2012-01-04 10:23:22 UTC
Reference a group like $1 in replace text do not work anymore with the regexp engine replaced with ICU's one.

Here is an example to reproduce: 
Text: ab
Search for: a(b)
Replace with: $1

Results empty string, it should be "b". This works on OOo 3.3.0.
The history of the modification in Undo button shows "Replace: 'ab' -> ''" means 
$1 is empty. When I change the replace text to $0, it worked.
Comment 1 Oliver Brinzing 2012-01-05 12:18:39 UTC
.
Comment 2 hdu@apache.org 2012-01-06 11:14:22 UTC
Fixed with r1228084